function svar=forceMatrix(x,y,z)
% forceMatrix(x,y,z) returns a list of the tangential component of the
% forces on all the interior grid points. These are denoted by q_{i,j} in
% Chris Williams article.

n=round(sqrt(numel(x)));
total=zeros(3,1);
svar=zeros(3,(n-2)^2);
for i=1:n-2
    for j=1:n-2
        k=n*i+(j+1);
        total(1)=x(k-1)+x(k+1)+x(k-n)+x(k+n)-4*x(k);
        total(2)=y(k-1)+y(k+1)+y(k-n)+y(k+n)-4*y(k);
        total(3)=z(k-1)+z(k+1)+z(k-n)+z(k+n)-4*z(k);
        normal=tangentNormal(x(k),y(k));
        svar(:,j+(i-1)*(n-2))=total-(dot(total,normal))*normal;
    end
end