function [xn,yn,zn]=updateGrid(deltaq,x,y,z)
% updateGrid(deltaq,x,y,z) adds the values in deltaq to the values in x,y,z
% and returns these updated grid points as [xn,yn,zn]. Observe that it's
% only the points not on the boundary which are adjusted.

xn=x;
yn=y;
zn=z;
n=round(sqrt(numel(x)));
for i=1:n-2
    for j=1:n-2
        k=n*i+(j+1);
        xn(k)=xn(k)+deltaq(1,j+(i-1)*(n-2));
        yn(k)=yn(k)+deltaq(2,j+(i-1)*(n-2));
        zn(k)=zn(k)+deltaq(3,j+(i-1)*(n-2));
    end
end